package liviu.tudor.convertor.provider;

/**
 * This class converts angles
 * 
 * @author Liviu Tudor
 */
public class AngleConvertor extends ConvertProviderAdapter 
{
    /**
     * Constructor.
     * Here we initialize all of our values we can convert.
     * The reference value is a radian.
     */
    public AngleConvertor() 
    {
        addField( "Grad",           0.015708 );
        addField( "Degree",         0.0174533 );
        addField( "Minute",         0.0002909 );
        addField( "Second",         0.0000048 );
        addField( "Radian",         1, true );
    }

    /**
     * Check the value.
     * In this case we accept any values
     */
    protected void checkValue(int index, double value) 
    {}

    /**
     * Name this convertor <i>Angles</i>
     */
    public String getName() 
    {
        return "Angles";
    }

    /**
     * Return our convertor image name -- in this case, an angle
     */
    public String getImageName() 
    {
        return "/img/angle.png";
    }

    public String getInfo()
    {
        return "Provides angle conversions to and from: radians, degrees, minutes and seconds.";
    }
}
