package liviu.tudor.convertor.provider;

/**
 * This class converts pressure units
 * 
 * @author Liviu Tudor
 */
public class PressureConvertor extends ConvertProviderAdapter 
{
    /**
     * Constructor.
     * Here we initialize all of our values we can convert.
     * The reference value is a pascal.
     */
    public PressureConvertor() 
    {
        addField( "Pascal",                             1, true );
        addField( "Atmosphere (std)",                   101325.01 );
        addField( "Atmosphere (technical)",             98066.5 );
        addField( "Bar",                                100000.0 );
        addField( "Kg-force/square meter",              9.80665 );
        addField( "Newton/square meter",                1 );
        addField( "millihg",                            133.32239 );
        addField( "Millimeter of mercury [0 \u00B0C]",  133.32239 );
        addField( "Millimeter of water [4 \u00B0C]",    9.80665 );
        addField( "Torr",                               133.32237 );
        addField( "Water column [mm]",                  9.80665 );
    }

    /**
     * Check the value.
     * In this case we accept any values
     */
    protected void checkValue(int index, double value) 
    {}

    /**
     * Name this convertor <i>Pressure</i>
     */
    public String getName() 
    {
        return "Pressure";
    }

    /**
     * Return our convertor image name -- in this case, a barometer
     */
    public String getImageName() 
    {
        return "/img/pressure.png";
    }

    public String getInfo()
    {
        return "Provides pressure conversions to and from bars, atmospheres, torrs etc.";
    }
}
